MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000106SoldatGraphicspublic2011-10-13 16:082014-12-31 00:35
ReporterJotEmI 
Assigned ToExHunter 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Platformx86OSWindowsOS VersionXP SP3
Product Version1.6.2 
Target VersionFixed in Version1.6.9 
Summary0000106: Invisible knives
DescriptionIf you throw a knife through a dead body it'll become invisible until hitting other player or bullet colliding polygon.
TagsNo tags attached.
Attached Files? file icon 2013-06-24_00-42-33_ctf_Kampf.sdm [^] (31,766 bytes) 2013-06-24 13:46
? file icon 2013-06-24_00-42-38_ctf_Kampf.sdm [^] (31,083 bytes) 2013-06-24 13:46
? file icon 2013-06-23_23-52-40_ctf_MFM.sdm [^] (128,489 bytes) 2013-06-24 13:46
? file icon 2013-06-23_23-53-15_ctf_MFM.sdm [^] (174,724 bytes) 2013-06-24 13:47
rar file icon demos.rar [^] (33,672 bytes) 2013-06-25 14:06

- Relationships
related to 0000384resolvedExHunter Knife duplicates on object hit 

-  Notes
(0001234)
asdf (reporter)
2011-10-14 21:45

You could add too that if you hit someone with knife, sometimes knife duplicates - one fall down from body and one behind it.
(0001240)
Bonecrusher (reporter)
2011-10-15 10:53

I liked it that way
(0001271)
Shoozza (administrator)
2011-12-21 10:02

@asdf
The knife duplicate stuff has to go into a separate bugreport
(0001720)
Falcon (administrator)
2013-06-11 14:45

Can somebody please attach a demo demonstrating this? Preferbly recorded with Soldat 1.6.4rc2.
(0001723)
TheOne (reporter)
2013-06-24 00:56

Invisible knifes bug, both player perspectives:
http://speedy.sh/spcFS/2013-06-24-00-42-33-ctf-Kampf.sdm [^]
http://speedy.sh/JZ8pC/2013-06-24-00-42-38-ctf-Kampf.sdm [^]

Duplicate knifes bug (it's pretty simple to reproduce as seen in the second demo)
http://speedy.sh/25qZY/2013-06-23-23-52-40-ctf-MFM.sdm [^]
http://speedy.sh/TFXqR/2013-06-23-23-53-15-ctf-MFM.sdm [^]

(All Recorded with rc2)
(0002332)
ExHunter (developer)
2014-10-09 14:03

can you check if this still occurs (1.6.8b1+)?
(0002374)
ExHunter (developer)
2014-12-31 00:35

Cannot reproduce it on my dev client for 1.6.9. Please check it in beta tho, but so long: marked as resolved.

- Issue History
Date Modified Username Field Change
2011-10-13 16:08 JotEmI New Issue
2011-10-14 21:45 asdf Note Added: 0001234
2011-10-15 10:53 Bonecrusher Note Added: 0001240
2011-12-21 10:01 Shoozza Status new => confirmed
2011-12-21 10:02 Shoozza Note Added: 0001271
2013-06-11 14:45 Falcon Note Added: 0001720
2013-06-11 14:45 Falcon Assigned To => Falcon
2013-06-11 14:45 Falcon Status confirmed => feedback
2013-06-24 00:56 TheOne Note Added: 0001723
2013-06-24 13:46 Falcon File Added: 2013-06-24_00-42-33_ctf_Kampf.sdm
2013-06-24 13:46 Falcon File Added: 2013-06-24_00-42-38_ctf_Kampf.sdm
2013-06-24 13:46 Falcon File Added: 2013-06-23_23-52-40_ctf_MFM.sdm
2013-06-24 13:47 Falcon File Added: 2013-06-23_23-53-15_ctf_MFM.sdm
2013-06-24 13:47 Falcon Status feedback => assigned
2013-06-25 14:06 Falcon File Added: demos.rar
2013-08-04 02:16 Falcon Assigned To Falcon =>
2013-08-04 02:16 Falcon Status assigned => confirmed
2013-08-12 16:23 Falcon Relationship added related to 0000384
2014-10-09 14:03 ExHunter Note Added: 0002332
2014-10-09 14:03 ExHunter Assigned To => ExHunter
2014-10-09 14:03 ExHunter Status confirmed => feedback
2014-12-31 00:35 ExHunter Note Added: 0002374
2014-12-31 00:35 ExHunter Status feedback => resolved
2014-12-31 00:35 ExHunter Fixed in Version => 1.6.9
2014-12-31 00:35 ExHunter Resolution open => fixed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker